using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;
using System.Diagnostics;

namespace ConsoleApp
{
    public class Info
    {


      
        public static string[] articleNumber = new string[100]; // присвоенный артикул
      
        public static double[] lenght = new double[100]; // Длина трубы  

        public static double[] thickness = new double[100]; // Толщина трубы

        public static string[] a = new string[100]; // Армированные трубы

        public static double[] diametr = new double[100]; // Диаметр трубы (мм)

        public static int Numbers = 0; // Количество труб на предприятии

        //  На передприятии есть следующие виды труб
        public static int PN10 = 0;
        public static int PN16 = 0;
        public static int PN20 = 0;
        public static int PN25 = 0;



        static public bool GetIfnfo() /// Метод считаваает данные из внешнего файла
        {

                string path = "data.txt";
                string[] file = File.ReadAllLines(path); // Обращение к исходному файлу

                Console.WriteLine("Данные продукции:\n");

                PN10 = 0;
                PN16 = 0;
                PN20 = 0;
                PN25 = 0;

                for (int i = 0; i < file.Length; i++)
                {

                    string[] par = file[i].Split(';');
                    articleNumber[Numbers] = par[0];
                    diametr[Numbers] = Convert.ToDouble(par[1]);
                    lenght[Numbers] = Convert.ToDouble(par[2]);      
                    thickness[Numbers] = Convert.ToDouble(par[3]);
                    a[Numbers] = par[4];

                    Numbers++;

                    Console.WriteLine("Артиук трубы:" + articleNumber[i] + "Диаметр трубы (мм):" + diametr[i] + "Длина длина трубы:" + lenght[i] + "Толщина (мм):" + thickness[i] + "Толщина литеры:" + a[i]);

                }

                Console.WriteLine();

                Debug.WriteLine("Программа завершила вывод"); 
                   
                Trace.Listeners.Add(new TextWriterTraceListener("TraceLog.txt")); // Создание слушателя
                Trace.WriteLine("Програмы произвела вывод");
                Trace.Flush();
               
                return true;
        }
    }

}

